
From: William Lee Irwin III <wli@holomorphy.com>

 * Removed period check for executables in fs/isofs/inode.c
This fixes Debian BTS #162190
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=162190

	From: Jan Gregor <gregor_jan@seznam.cz>
	To: Debian Bug Tracking System <submit@bugs.debian.org>
	Subject: kernel-source-2.4.18: kernel ignores noexec and mode option in cdrom case
	Message-ID: <20020924162129.A328@pisidlo>

In /etc/fstab i have following line:
/dev/cdrom      /cdrom          iso9660  gid=100,noauto,ro,noexec,mode=0444,user      0       0

I found on one CD that some files have exec bit set. From brief view
those files has no extension (filename.ext).

My drive is asus-1610a (ATAPI writer) connected throught scsi-emulation.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/isofs/inode.c |    8 --------
 1 files changed, 8 deletions(-)

diff -puN fs/isofs/inode.c~fix-isofs-ignoring-noexec-and-mode-mount-options fs/isofs/inode.c
--- 25/fs/isofs/inode.c~fix-isofs-ignoring-noexec-and-mode-mount-options	2004-06-14 00:12:41.846703864 -0700
+++ 25-akpm/fs/isofs/inode.c	2004-06-14 00:12:41.851703104 -0700
@@ -1247,14 +1247,6 @@ static void isofs_read_inode(struct inod
 		inode->i_mode = sbi->s_mode;
 		inode->i_nlink = 1;
 	        inode->i_mode |= S_IFREG;
-		/* If there are no periods in the name,
-		 * then set the execute permission bit
-		 */
-		for(i=0; i< de->name_len[0]; i++)
-			if(de->name[i]=='.' || de->name[i]==';')
-				break;
-		if(i == de->name_len[0] || de->name[i] == ';')
-			inode->i_mode |= S_IXUGO; /* execute permission */
 	}
 	inode->i_uid = sbi->s_uid;
 	inode->i_gid = sbi->s_gid;
_
